<?php

namespace Main\Lib;

use Dever;

class Journal
{
    # 执行结束时执行的
    public function end($param)
    {
    	# 不再执行syncone等后续操作
    	Dever::config('base')->after = 1;

        if (isset($param['uid']) && $param['uid'] > 0 && isset($param['id']) && $param['id'] > 0 && isset($param['add_num']) && $param['add_num']) {

            //Dever::score($param['uid'], 'read_journal', '阅读小刊');
            Dever::load('act/lib/subscribe')->submit($param['uid'], $param['id'], 4);
        	//Dever::db('journal/info')->addView($param['id']);
            Dever::db('journal/info')->addDing($param['id']);
        }
    }
}